/**
 * @file google_webfont_loader_api.js
 * This file retrieves the webfont js file from google if necessary and loads
 * the webfont loader with the appropriate file callbacks.
 */

Drupal.behaviors.google_webfont_loader = function() {
  if (Drupal.settings.google_webfont_loader_run_once == true) {
    return;
  }
  Drupal.settings.google_webfont_loader_run_once = true;
  if (Drupal.settings.google_webfont_loader_api_preloaded == 1) {
    WebFont.load(Drupal.settings.google_webfont_loader_api_setting);
  }
  else {
    src = ('https:' == document.location.protocol ? 'https' : 'http') +
              '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
    $.getScript(src, function() {
      WebFont.load(Drupal.settings.google_webfont_loader_api_setting);
    });
  }
  // Remove the wf-loading class after a few seconds. This is to make sure
  // that your content is not forever hidden from being displayed in the
  // event of a font not loading (or font-face not supported) failure.
  setTimeout(function() {
    var html_object = $('html');
    if ($(html_object).hasClass('wf-loading')) {
      $(html_object).removeClass('wf-loading');
    }
  }, 3000);
}
